# Transcore

Music score converter.

## Supported Ruby versions and implementations
Lapidary should work identically on:

* Ruby 2.1.4

## Install

You can install transcore by gem.

    gem install transcore

## Usage

### Change key
    $ echo "C Am F G7" | transcore +1
    C# A#m F# G#7
    $ echo "C Am F G7" | transcore -1
    B G#m E F#7

### Convert sharp to flat
    $ echo "F Dm A# C7" | transcore to-flat
    F Dm B♭ C7

### Convert flat to sharp
    $ echo "A G♭m D E7" | transcore to-sharp
    A F#m D E7

### Convert from doremi
    $ echo "doremifa solatido" | transcore from-doremi
    CDEF GABC

### Convert to japanese
    $ echo "CDEF GABC" | transcore to-japanese
    ドレミファ ソラシド

### Convert html-score to text-score
    $ cat score.html
    <span>C</span>
    <span>Lalala</span>
    <span>F</span>
    <span>lala</span>
    <br/>
    <span>G7</span>
    <span>lalala...</span>
    $ cat score.html | transcore from-html
    C  Lalala  F  lala
    G7  lalala...

## Contributing to transcore
 
* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet.
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it.
* Fork the project.
* Start a feature/bugfix branch.
* Commit and push until you are happy with your contribution.
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## Copyright

Copyright (c) 2012 Kenji Hara. See LICENSE.txt for further details.
